/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2023-03-06 14:06:34
 */
import request from '@/utils/request'
// 退款明细结果查询
export function onlineRefundQueryStatus(params) {
  return request({
    url: '/pay/manage/online-refund/query-status',
    method: 'get',
    params
  })
}

// 消费明细
export function tradeList(data) {
  return request({
    url: '/member/manager/trade/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
// 转账明细
export function transferList(data) {
  return request({
    url: '/member/manager/transfer/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
// 钱包明细
export function accountList(data) {
  return request({
    url: '/member/manager/account/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
// 提现明细
export function withdrawList(data) {
  return request({
    url: '/member/manager/withdraw/list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}
// 钱包类型
export function pkBdAccountList(params) {
  return request({
    url: '/system/manage/account/pkBdAccountList',
    method: 'get',
    params
  })
}
// 交易类型
export function getTradeType(params) {
  return request({
    url: '/system/pub/enums/get-trade-type',
    method: 'get',
    params
  })
}

// 退款状态
export function getRefundStatus(params) {
  return request({
    url: '/system/pub/enums/refund-status',
    method: 'get',
    params
  })
}

// 在线退款明细列表
export function getRefundList(params) {
  return request({
    url: '/pay/manage/online-refund/refund-list',
    method: 'get',
    params
  })
}

// 消费明细导出
export function tradeExport(data) {
  return request({
    url: '/member/manager/trade/export',
    method: 'post',
    data
  })
}
// 查询隶属体系下拉选
export function getvertexValue(params) {
  return request({
    url: '/system/manage/vertex/find-all',
    method: 'get',
    params
  })
}
// 根据国家查询隶属体系
export function findCountry(params) {
  return request({
    url: '/system/manage/vertex/find-country',
    method: 'get',
    params
  })
}

// 根据体系查询团队
export function findVertex(params) {
  return request({
    url: '/member/manage/member-team/find-vertex',
    method: 'get',
    params
  })
}

// 隶属团队下拉选
export function getmemberTeamList(params) {
  return request({
    url: '/member/manage/member-team/listNoPage',
    method: 'get',
    params
  })
}
// 提现签呈详情
export function showWithdraw(data) {
  return request({
    url: '/member/manager/withdraw/show-withdraw-petition',
    method: 'post',
    data
  })
}
// 提现签呈确认
export function confirmWithdraw(data) {
  return request({
    url: '/member/manager/withdraw/confirm-withdraw-petition',
    method: 'post',
    data
  })
}
// 提现打款
export function payment(data) {
  return request({
    url: '/member/manager/withdraw/payment',
    method: 'post',
    data
  })
}
// 提现充正
export function positive(data) {
  return request({
    url: '/member/manager/withdraw/positive',
    method: 'post',
    data
  })
}

// 审核状态
export function getApproveStatus(params) {
  return request({
    url: '/system/pub/enums/approve-recharge-status',
    method: 'get',
    params
  })
}
// 审核状态1
export function getApproveStatuss(params) {
  return request({
    url: '/system/pub/enums/approval-status-all',
    method: 'get',
    params
  })
}
// 支付渠道
export function payChannel(params) {
  return request({
    url: '/system/pub/enums/pay-channel',
    method: 'get',
    params
  })
}
// 支付渠道
export function payStatus(params) {
  return request({
    url: '/system/pub/enums/pay-status',
    method: 'get',
    params
  })
}
// 在线支付列表
export function onlineList(params) {
  return request({
    url: '/pay/manage/online-payment/list',
    method: 'get',
    params
  })
}
// 在线支付配置
export function onlineConfig(params) {
  return request({
    url: '/pay/manage/online-config/get-config',
    method: 'get',
    params
  })
}
// 京东代付列表
export function jdAgentList(params) {
  return request({
    url: '/pay/manage/jd-agent/list',
    method: 'get',
    params
  })
}
// 在线支付保存
export function onlineSaveConfig(data) {
  return request({
    url: '/pay/manage/online-config/save-config',
    method: 'post',
    data
  })
}
// 京东代付查询余额
export function queryBalance(params) {
  return request({
    url: '/pay/manage/jd-agent/query-balance',
    method: 'get',
    params
  })
}
// 京东代付查询余额
export function businessType(params) {
  return request({
    url: '/system/pub/enums/pay-business-type',
    method: 'get',
    params
  })
}
// 打款状态
export function paymentStatus(params) {
  return request({
    url: '/system/pub/enums/get-payment-status',
    method: 'get',
    params
  })
}
// 钱包明细根据配置字段显示
export function listField(params) {
  return request({
    url: '/member/manager/account/list-field',
    method: 'get',
    params
  })
}

// 钱包明细详情
export function tradeDetailsList(data) {
  return request({
    url: '/member/manager/trade/detail-list?pageNum=' + data.pageNum + '&pageSize=' + data.pageSize,
    method: 'post',
    data
  })
}

// 伞下类型/树的类型
export function getTreeType(params) {
  return request({
    url: '/system/pub/enums/tree-type',
    method: 'get',
    params
  })
}

// 批量驳回
export function batchReject(data) {
  return request({
    url: '/member/manager/withdraw/reject',
    method: 'post',
    data
  })
}
